Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface ComboBoxEditor

All Known Implementing Classes:
  BasicComboBoxEditor

public abstract interface ComboBoxEditor

The editor component used for JComboBox components.

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener l)` Add an ActionListener.
`java.awt.Component` | `getEditorComponent()` Return the component that should be added to the tree hierarchy for this editor
`java.lang.Object` | `getItem()` Return the edited item
`void` | `removeActionListener(java.awt.event.ActionListener l)` Remove an ActionListener
`void` | `selectAll()` Ask the editor to start editing and to select everything
`void` | `setItem(java.lang.Object anObject)` Set the item that should be edited.

Method Detail

### getEditorComponent

    public java.awt.Component getEditorComponent()

  Return the component that should be added to the tree hierarchy for this editor

### setItem

    public void setItem(java.lang.Object anObject)

  Set the item that should be edited. Cancel any editing if necessary

### getItem

    public java.lang.Object getItem()

  Return the edited item

### selectAll

    public void selectAll()

  Ask the editor to start editing and to select everything

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Add an ActionListener. An action event is generated when the edited item changes

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  Remove an ActionListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.